Bug 116342 - [PATCH] Wrong quoting in buildinstall
Summary: [PATCH] Wrong quoting in buildinstall
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-20 09:25 UTC by Jos Vos
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-21 13:08:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch that solve the quoting problem. (1011 bytes, patch)
2004-02-20 09:26 UTC, Jos Vos
no flags Details | Diff

Description Jos Vos 2004-02-20 09:25:25 UTC
Description of problem:
Quoting in "buildinstall" is wrong at some places.  When giving a
--product flag with blanks (and not having "runroot"), "buildinstall"
fails.  At some point it does:

  \"$PRODUCTSTR\"

Which should be:

  "$PRODUCTSTR"

ALs the arguments itself are not quoted.

Version-Release number of selected component (if applicable):
9.1-8.RHEL

Additional info:
I will attach a small patch that solves the problem for me.

Comment 1 Jos Vos 2004-02-20 09:26:21 UTC
Created attachment 97853 [details]
Patch that solve the quoting problem.

Comment 2 Jeremy Katz 2004-02-23 03:16:29 UTC
Applied the patch from HEAD instead to the RHEL3 branch


Note You need to log in before you can comment on or make changes to this bug.